Saltar al contenido principal
POST
/
files
/
2026-03
/
folders
/
update
/
async
Update folder properties
curl --request POST \
  --url https://api.hubapi.com/files/2026-03/folders/update/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123
}
'
{
  "id": "<string>",
  "links": {}
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
id
string
requerido

The unique identifier of the folder to be updated.

name
string

New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.

parentFolderId
integer<int64>

New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.

Respuesta

accepted

id
string
requerido

ID of the task

Links for where to check information related to the task. The status link gives the URL for where to check the status of the task.

Última modificación el 5 de junio de 2026